<div class="d-flex flex-column flex-shrink-0 p-3 bg-light" style="width: 15%; height: 100vh;">
  <a href="/adminPanel" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto link-dark text-decoration-none">
    <span class="fs-4">Admin Panel</span>
  </a>
  <hr>
  <ul class="nav nav-pills flex-column mb-auto">
    <li class="nav-item">
      <a href="/adminPanel" class="nav-link link-dark">
        Edit Admin Initials
      </a>
    </li>
    <li>
      <a href="/createUser" class="nav-link link-dark">
        Create User
      </a>
    </li>
    <li>
      <a href="/readUser" class="nav-link link-dark">
        List of Users
      </a>
    </li>
    <hr>
    <li>
      <button class="btn btn-large btn-success" onclick="window.location.href='/exportToExcel'">Export Pavti Details</button>
    </li>
  </ul>
  <hr>
  <div class="dropdown">
    <button onclick="window.location.href='/logout'" class="btn btn-primary">Logout</button>
  </div>
</div>
<script>
  const url = window.location.href.toString().split('/')[3].split('?')[0];
  const liItem = document.getElementsByClassName('nav-link');
  if (url == "adminPanel") {
    liItem[0].classList.replace('link-dark','active');
    liItem[1].classList.replace('active','link-dark');
    liItem[2].classList.replace('active','link-dark');
  }
  if (url == "createUser") {
    liItem[0].classList.replace('active','link-dark');
    liItem[1].classList.replace('link-dark','active');
    liItem[2].classList.replace('active','link-dark');
  }
  if (url == "readUser") {
    liItem[0].classList.replace('active','link-dark');
    liItem[1].classList.replace('active','link-dark');
    liItem[2].classList.replace('link-dark','active');
  }


</script>